﻿using StackExchange.Redis;
using System;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var redis = connectionMultiplexer.GetDatabase();

        Console.WriteLine("Writing to the cache...\n");
        await redis.StringSetAsync("hello", "world");

        Console.WriteLine("Reading from the cache...");
        Console.WriteLine($"hello={await redis.StringGetAsync("hello")}\n");

        Console.WriteLine("Clearing the cache...");
        await redis.KeyDeleteAsync("hello");
    }

    static readonly ConnectionMultiplexer connectionMultiplexer = ConnectionMultiplexer.Connect(new ConfigurationOptions
    {
        EndPoints = { "localhost" }
    });
}